RDKit::FMCS Namespace Reference

## Classes

class | Composition2N
struct | ExecStatistics
class | DuplicatedSeedCache
class | Graph
class | TArray2D
class | MaximumCommonSubgraph
class | RingMatchTableSet
struct | MolFragment
struct | NewBond
class | Seed
class | SeedSet
class | SubstructureCache
struct | Target
struct | TargetMatch

## Typedefs

typedef unsigned long long | BitSet
typedef unsigned | AtomIdx_t
typedef unsigned | BondIdx_t
typedef boost::adjacency_list< boost::vecS, boost::vecS, boost::undirectedS, AtomIdx_t, BondIdx_t > | Graph_t
typedef TArray2D< bool > | MatchTable
typedef std::vector< std::pair< FMCS::Graph::vertex_descriptor, FMCS::Graph::vertex_descriptor > > | match_V_t

## Functions

RDKIT_FMCS_EXPORT bool | SubstructMatchCustomTable (const FMCS::Graph &target, const ROMol &target_mol, const FMCS::Graph &query, const ROMol &querySrc, const MatchTable &atomMatchTable, const MatchTable &bondMatchTable, const MCSParameters *parameters=nullptr, match_V_t *match=nullptr)
RDKIT_FMCS_EXPORT bool | SubstructMatchCustom (const FMCS::Graph &target, const ROMol &mol, const FMCS::Graph &query, const ROMol &querySrc, MCSAtomCompareFunction atomCompare, MCSBondCompareFunction bondCompare, MCSFinalMatchCheckFunction finalCompare, const MCSAtomCompareParameters &acp, const MCSBondCompareParameters &bcp, void *user_data, match_V_t *match=nullptr)

## Variables

const unsigned int | NotSet = (unsigned int)-1

## Typedef Documentation

## AtomIdx_t

typedef unsigned RDKit::FMCS::AtomIdx_t

Definition at line 20 of file Graph.h.

## BitSet

typedef unsigned long long RDKit::FMCS::BitSet

Definition at line 14 of file Composition2N.h.

## BondIdx_t

typedef unsigned RDKit::FMCS::BondIdx_t

Definition at line 21 of file Graph.h.

## Graph_t

typedef boost::adjacency_list<boost::vecS, boost::vecS, boost::undirectedS, AtomIdx_t, BondIdx_t> RDKit::FMCS::Graph_t

Definition at line 24 of file Graph.h.

## match_V_t

typedef std::vector< std::pair<FMCS::Graph::vertex_descriptor, FMCS::Graph::vertex_descriptor> > RDKit::FMCS::match_V_t

Definition at line 21 of file SubstructMatchCustom.h.

## MatchTable

typedef TArray2D<bool> RDKit::FMCS::MatchTable

Definition at line 48 of file MatchTable.h.

## Function Documentation

## SubstructMatchCustom()

RDKIT_FMCS_EXPORT bool RDKit::FMCS::SubstructMatchCustom | ( | const FMCS::Graph & | target,
|  | const ROMol & | mol,
|  | const FMCS::Graph & | query,
|  | const ROMol & | querySrc,
|  | MCSAtomCompareFunction | atomCompare,
|  | MCSBondCompareFunction | bondCompare,
|  | MCSFinalMatchCheckFunction | finalCompare,
|  | const MCSAtomCompareParameters & | acp,
|  | const MCSBondCompareParameters & | bcp,
|  | void * | user_data,
|  | match_V_t * | match = `nullptr`
| ) |  |

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## SubstructMatchCustomTable()

RDKIT_FMCS_EXPORT bool RDKit::FMCS::SubstructMatchCustomTable | ( | const FMCS::Graph & | target,
|  | const ROMol & | target_mol,
|  | const FMCS::Graph & | query,
|  | const ROMol & | querySrc,
|  | const MatchTable & | atomMatchTable,
|  | const MatchTable & | bondMatchTable,
|  | const MCSParameters * | parameters = `nullptr`,
|  | match_V_t * | match = `nullptr`
| ) |  |

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## Variable Documentation

## NotSet

const unsigned int RDKit::FMCS::NotSet = (unsigned int)-1

Definition at line 22 of file SubstructMatchCustom.h.